Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-7389

camel-quartz component does not define osgi import version for quartz

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.12.3, 2.13.0
    • Fix Version/s: 2.12.4, 2.13.1, 2.14.0
    • Component/s: camel-quartz
    • Labels:
      None
    • Patch Info:
      Patch Available
    • Estimated Complexity:
      Unknown

      Description

      As the camel-quartz component is (unlike the camel-quartz2 component) built with a plain jar (not a bundle) and no version range is defined for the quartz package imports, the import to the quartz scheduler is generated without version information.

      This will cause issues if the quartz 2.x component is also available on an OSGi system.

      The provided (trivial) patch will limit the import version range for quartz packages.

        Attachments

          Activity

            People

            • Assignee:
              ay Akitoshi Yoshida
              Reporter:
              siano Stephan Siano
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: